- Update Traveler Information
Reservation Divide
Reservation Cancel
Traveler Updatable Items
Update Traveler Informati...
The Traveler Update request follows an Updatable Items request and makes a change to one or more items returned in that Updatable Items response. Sent as part of a workbench session, either during the initial booking workflow (workbench not committed, PNR not issued yet) or a post-commit workbench for an existing PNR. It is followed by a workbench commit.
Security
bearerAuth
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/book/traveler/reservationworkbench/{ReservationResource_Identifier}/travelers/updatefromtravelerupdateditems/{id}
- https://api.travelport.net/11https://api.travelport.net/11/air/book/traveler/reservationworkbench/{ReservationResource_Identifier}/travelers/updatefromtravelerupdateditems/{id}
curl -i -X PUT \
https://api.pp.travelport.net/11/air/book/traveler/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/travelers/updatefromtravelerupdateditems/59f58f5f-c443-43b4-9f5d-be999fd00a01 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "TravelerQueryUpdate",
"TravelerUpdatedItem": [
{
"@type": "TravelerUpdatedItemPersonName",
"modifyInd": true,
"TravelerUpdatableItemID": "6f0ae183-1ffd-4862-89a3-c8df0bd4be42",
"PersonNameUpdatable": {
"Given": "TESTFIRSTABC",
"Surname": "TESTLAST"
}
}
]
}'Response
{ "ErrorResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }